### Method

# AppStreamCompose Result add_hint_simple

#### Declaration [src]

    gboolean
    asc_result_add_hint_simple (
      AscResult* result,
      AsComponent* cpt,
      const gchar* tag
    )

#### Description [src]

Add an issue hint which does not have any variables to replace in its explanation text for a component.

This method is not directly available to language bindings.

#### Parameters

`cpt`

  Type: `AsComponent`

  The affected `AsComponent`.

  The data is owned by the caller of the method.

`tag`

  Type: `const gchar*`

  AppStream Compose Issue hint tag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the added hint did not cause the component to be invalidated.